Package: org.apache.groovy.groovysh.jline

## [Groovy] Class GroovyPosixContext

- org.apache.groovy.groovysh.jline.GroovyPosixContext

-     class GroovyPosixContext
      extends Context

  Extends the JLine POSIX context with groovysh-specific working-directory tracking.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ConfigurationPath` | `configPath` Configuration path used to locate `jnanorc` and theme files for commands that integrate with the JLine syntax-highlighter (e.g.
    `Path` | `currentDir` Current working directory exposed to groovysh POSIX commands.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPosixContext(InputStream inputStream, PrintStream out, PrintStream err, Path currentDir, Terminal terminal, Function<String, Object> variables, ConfigurationPath configPath)` Creates a POSIX command context backed by groovysh state.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Path` | `currentDir()` Returns the current working directory used by POSIX commands.

- - ### Property Detail

    - #### ConfigurationPath configPath

      Configuration path used to locate `jnanorc` and theme files for commands that integrate with the JLine syntax-highlighter (e.g. `/less`). Optional; null disables highlighting.

    - #### Path currentDir

      Current working directory exposed to groovysh POSIX commands.

  - ### Constructor Detail

    - #### GroovyPosixContext(InputStream inputStream, PrintStream out, PrintStream err, Path currentDir, Terminal terminal, Function<String, Object> variables, ConfigurationPath configPath)

      Creates a POSIX command context backed by groovysh state.

      Parameters:
        `inputStream` - command input stream
        `out` - command standard output stream
        `err` - command error output stream
        `currentDir` - current working directory
        `terminal` - active terminal
        `variables` - variable lookup function
        `configPath` - configuration path used by syntax-highlighting commands; null disables highlighting

  - ### Method Detail

    - #### Path currentDir()

      Returns the current working directory used by POSIX commands.

      Returns:
        the active working directory